const appRootDir = require('app-root-dir');
const gulp = require('gulp');
const jsdocMarkdown = require('jsdoc-to-markdown');
const fs = require('fs-then-native');
const basePath = appRootDir.get();

gulp.task('extension:docs', function () {
  return jsdocMarkdown.render({
    files: [basePath + '/src/**/*.js'],
    separators: true
  }).then(function (output) {
    return fs.writeFile(basePath + '/src/README.md', output);
  });
});
